jQuery(document).ready(function($) {
    // Aggiungi un gestore di eventi al click di un pulsante o a qualsiasi altro evento desiderato
    $(document).ready(function() {
        // Effettua la richiesta AJAX
        $.ajax({
            url: ajaxurl, // ajaxurl è una variabile globale di WordPress che punta all'endpoint AJAX
            type: 'POST',
            data: {
                action: 'cloud_s3_storage_status_ajax_handler' // Nome dell'azione registrata in WordPress
                // Puoi aggiungere altri dati da passare al tuo handler se necessario
            },
            success: function(response) {
                $.each(response, function(key, value) {
                    $('#'+key).html(value);
                });
                
            },
            error: function(error) {
                // Gestisci gli errori qui
                console.error(error.responseText);
            }
        });
    });
});
